Package org.apache.sling.distribution.transport

# Interface DistributionTransportSecretProvider

@ConsumerType public interface DistributionTransportSecretProvider

A provider for `DistributionTransportSecret`s

Such providers can be used by distribution agents implementations in order to plug in different types of `secrets` to be used to authenticate the underlying Sling instances.

## Method Summary

Modifier and Type
Method
Description
`DistributionTransportSecret`
`getSecret(URI uri)`
Get a `DistributionTransportSecret` for the specified URI

## Method Details

### getSecret

@Nullable DistributionTransportSecret getSecret(URI uri)
Get a `DistributionTransportSecret` for the specified URI

Parameters:
  `uri` - - the uri than needs authentication
Returns:
  a `secret`, or `null` if that cannot be obtained